Perform various operations for Symitar parameters.
Operations
getDivTable
Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
DivTableTypeintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getDivTablePOST /nexum/627/2022.01/parameter/getDivTable HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DivTableType": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getDivTableSelectFields
Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
DivTableTypeintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getDivTableSelectFieldsPOST /nexum/627/2022.01/parameter/getDivTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"DivTableType": 0,
"SelectableFields": {
"DivTableFields": {
"Type": true,
"Method": true,
"Frequency": true
}
}
}getDivTablePagedList
Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getDivTablePagedListPOST /nexum/627/2022.01/parameter/getDivTablePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getDivTableListSelectFields
Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getDivTableListSelectFieldsPOST /nexum/627/2022.01/parameter/getDivTableListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"SelectableFields": {
"IncludeAllDivTableFields": true
}
}searchDivTableSelectFields
Search DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/searchDivTableSelectFieldsPOST /nexum/627/2022.01/parameter/searchDivTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllDivTableFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getDivTablePagedListSelectFields
Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getDivTablePagedListSelectFieldsPOST /nexum/627/2022.01/parameter/getDivTablePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"DivTableFields": {
"Type": true,
"Method": true,
"Frequency": true
}
}
}